petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMHasLabel

Determine whether the mesh has a label of a given name

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMHasLabel(DM dm, const char name[], PetscBool *hasLabel)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name

### Output Parameter

hasLabel -PETSC_TRUE if the label is present

### Keywords

mesh

### See Also

DMCreateLabel(), DMGetLabelValue(), DMSetLabelValue(), DMGetStratumIS()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages